SVNAuthentication (JavaDoc :: Documentation :: Pure Java Subversion (SVN) Client Library)
Keywords: org.tmatesoft.svn.core.auth.SVNAuthentication class

Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.tmatesoft.svn.core.auth
Class SVNAuthentication

    java.lang.Object
      org.tmatesoft.svn.core.auth.SVNAuthentication

Direct Known Subclasses:
  SVNPasswordAuthentication, SVNSSHAuthentication, SVNSSLAuthentication, SVNUserNameAuthentication

public class SVNAuthentication
extends Object

The SVNAuthentication is the base class that represents user credentials. SVNAuthentication provides only a username. Other kinds of user credentials extend this base class and add their own specific information.

User credentials used by SVNRepository drivers to authenticate a user to a repository server, are provided to those drivers by ISVNAuthenticationManager implementations.

Since:
  1.2
Version:
  1.3
Author:
  TMate Software Ltd.
See Also:
  `SVNPasswordAuthentication`, `SVNSSHAuthentication`, `ISVNAuthenticationManager`, `SVNRepository`

Constructor Summary
`SVNAuthentication(String kind, String userName, boolean storageAllowed)` Creates a username user credential object given a username.

Method Summary
`String` | `getKind()` Returns a credential kind for which this authentication credential is used.
`String` | `getUserName()` Reurns the username.
`boolean` | `isStorageAllowed()` Says if this credential may be cached in the global auth cache.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVNAuthentication

    public SVNAuthentication(String kind,
                             String userName,
                             boolean storageAllowed)

  Creates a username user credential object given a username.

Parameters:
  `kind` - a credential kind
  `userName` - a repository account username
  `storageAllowed` - if true then this credential is allowed to be stored in the global auth cache, otherwise not

Method Detail

### getUserName

    public String getUserName()

  Reurns the username.

  Returns:
    a repository account username

### isStorageAllowed

    public boolean isStorageAllowed()

  Says if this credential may be cached in the global auth cache.

  Returns:
    true if this credential may be stored, false if may not

### getKind

    public String getKind()

  Returns a credential kind for which this authentication credential is used.

  Returns:
    a credential kind

Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2009 TMate Software Ltd. All Rights Reserved.